Progmar Marcin Załęczny

Język:

Instalacja i konfiguracja Google Chrome w systemie Ubuntu 16.04

Preferowany sposób - instalacja przez repozytorium Universe:

  1. Najpierw włączamy repozytorium Universe: sudo add-apt-repository universe
  2. Aktualizujemy dostępne do zainstalowania/aktualizacji pakiety: sudo apt update
  3. Instalujemy Chroma: sudo apt install google-chrome-stable

Drugi sposób - korzystając z paczki pobranej ze strony Google'a

  1. Pobieramy ze strony producenta plik instalacyjny Chroma w paczce .deb dla Ubuntu
  2. Instalujemy pobraną paczkę .deb (np. google-chrome-stable_current_amd64.deb): sudo dpkg -i google-chrome-stable_current_amd64.deb
  3. Wystąpią błędy podczas instalacji, więc musimy teraz doinstalować zależności dla powyższej paczki: sudo apt-get update
    sudo apt-get -f install
    I od tej pory możemy korzystać z Chrome-a. Powyższa paczka .deb zainstaluje repozytorium Chroma, więc będziemy mogli go aktualizować w standardowy sposób: sudo apt-get update
    sudo apt-get upgrade

Instalacja i konfiguracja Google Chrome w systemie Ubuntu 15.10 i wcześniejszym

Jeśli w systemie Ubuntu nie istnieje już plik repozytorium Chrome'a /etc/apt/sources.list.d/google-chrome.list to możesz go pobrać w następujący sposób: wget -q -O - https://dl-ssl.google.com/linux/linux_signing_key.pub | sudo apt-key add -
sudo sh -c 'echo "deb http://dl.google.com/linux/chrome/deb/ stable main" >> /etc/apt/sources.list.d/google-chrome.list'
sudo apt-get update

Teraz, żeby zainstalować Chrome'a wystarczy wydać polecenie: sudo apt-get install google-chrome-stable

Z chwilą porzucenia przez Google wsparcia dla 32-bitowej wersji Chrome'a dla Linuksa, przy każdorazowej aktualizacji repozytoriów apt-get (apt-get update) pojawia się drażniący komunikat: [PL]
Nie udało się pobrać http://dl.google.com/linux/chrome/deb/dists/stable/Release Nie udało się znaleźć oczekiwanego wpisu "main/binary-i386/Packages" w pliku Release (nieprawidłowy wpis sources.list lub nieprawidłowy plik)
[EN]
Failed to fetch http://dl.google.com/linux/chrome/deb/dists/stable/Release Unable to find expected entry 'main/binary-i386/Packages' in Release file (Wrong sources.list entry or malformed file)

Aby się go pozbyć wykonaj następujące czynności:

  1. cd /etc/apt/sources.list.d/
  2. sudo vim google-chrome.list
  3. W linii z poniższym wpisem: deb http://dl.google.com/linux/chrome/deb/ stable main dodaj frazę [arch=amd64] pomiędzy słowo kluczowe deb a http://...
    Po modyfikacji linia ta powinna mieć następującą postać: deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main
Następnie wykonaj: sudo apt-get update Teraz powyższy komunikat nie powinien się już pojawić.

Uwaga!

W pewnych okolicznościach plik google-chrome.list może zostać spowrotem zresetowany do swojej domyslnej postaci i cały proces trzeba będzie powtórzyć.